ubuntu-location-service: com::ubuntu::location::service::SystemConfiguration Class Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
com::ubuntu::location::service::SystemConfiguration Class Referenceabstract

`#include <system_configuration.h>`

Collaboration diagram for com::ubuntu::location::service::SystemConfiguration:

## Public Member Functions
virtual | ~SystemConfiguration ()=default
virtual fs::path | runtime_persistent_data_dir () const =0
virtual PermissionManager::Ptr | create_permission_manager (const std::shared_ptr< core::dbus::Bus > &bus) const =0

## Static Public Member Functions
static SystemConfiguration & | instance ()

## Protected Member Functions
| SystemConfiguration ()=default

## Detailed Description

Definition at line 38 of file system_configuration.h.

## Constructor & Destructor Documentation

## ◆ ~SystemConfiguration()

virtual com::ubuntu::location::service::SystemConfiguration::~SystemConfiguration | ( |  | ) |
| virtualdefault

## ◆ SystemConfiguration()

com::ubuntu::location::service::SystemConfiguration::SystemConfiguration | ( |  | ) |
| protecteddefault

## Member Function Documentation

## ◆ create_permission_manager()

virtual PermissionManager::Ptr com::ubuntu::location::service::SystemConfiguration::create_permission_manager | ( | const std::shared_ptr< core::dbus::Bus > & | bus | ) | const
| pure virtual

## ◆ instance()

static SystemConfiguration& com::ubuntu::location::service::SystemConfiguration::instance | ( |  | ) |
| static

## ◆ runtime_persistent_data_dir()

virtual fs::path com::ubuntu::location::service::SystemConfiguration::runtime_persistent_data_dir | ( |  | ) | const
| pure virtual

The documentation for this class was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/service/system_configuration.h